.fretboard-container, .fretboard-container * {
    position: relative;
}

.fretboard-container {
    overflow: hidden;
    /* If width is calculated in the JS this value will be
       overridden. */
    width: 100%;
    /* At a certain point it doesn't make sense for the fretboard
       size to decrease, so we set a min-width. A scroll-bar will
       be displayed. */
    /*min-width: 700px;*/
    /* If height is calculated in the JS this value will be
       overridden. */
    /*height: 210px;*/
    height: 100px;
    margin: 0 auto;
    padding: 5px 0;
}

.fretboard-scroll-wrapper {
    overflow: auto;
}

.fretboard-container .fretboard-body {
    overflow: visible !important;
    /*background: wheat;*/
    background: #1976d2;
    /*border: 1px solid gray;*/
    border: none;
    /*-webkit-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);*/
    /*-moz-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);*/
    /*box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);*/
    /* The margin should be as big as the box-shadow because the
       default JS functionality fits the body inside the
       container and won't take into account drop-shadow size,
       but will take into account margin */
    /*margin: 10px;*/
    box-sizing: content-box;
    width: 100%;
}

.fretboard-container .string {
    /* We don't want this affecting the placement of other
       elements, so it will have absolute positioning */
    position: absolute;
    height: 2px;
    width: 100%;
    /*background: black;*/
    background: #fff;
    z-index: 1;
}

.fretboard-container .note {
    border-radius: 50%;
    border: 1px solid black;
    width: 28px;
    height: 28px;
    position: absolute;
    cursor: pointer;
    z-index: 10;

    /* These will be animated */
    opacity: 0;
    background: white;
}

.fretboard-container .note.hover {
    opacity: 1;

    transition: opacity .15s linear;
    -moz-transition: opacity .15s linear;
    -webkit-transition: opacity .15s linear;
    -ms-transition: background .15s linear;
    -o-transition: opacity .15s linear;
}

.fretboard-container.is-disabled .note.hover {
    cursor: not-allowed;
}

.fretboard-container .note.clicked {
    background: white;
    border: 1px solid #1976d2;
    opacity: 1;
}

.fretboard-container .note-display {
    position: relative;
    text-align: center;
    z-index: 0;
    /* Based on the .note height */
    top: 10px;
    /*font-size: 9.5px;*/
    font-size: 12px;
    font-weight: bold;

    line-height: 9.5px;

    /* Make text unselectable */
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    color: white;
}



.fretboard-container .note.clicked .note-display {
    color: #1976d2;
}

.fretboard-container .fret-line-container,
.fretboard-container .note-circle-container {
    position: absolute;
    height: 100%;
    width: 100%;
}

.fretboard-container .fret-line {
    background: white;
    width: 1px;
    position: absolute;
    height: 100%;
}

.fretboard-container .fret-line.first {
    width: 6px;
}

.fretboard-container .fret-line.last {
    width: 0;
}

.fretboard-container .note-circle {
    border-radius: 50%;
    border: 1px solid white;
    width: 6px;
    height: 6px;
    position: absolute;
    background: white;
}

@media (max-width: 1024px) {
    .fretboard-container .note {
        width: 18px;
        height: 18px;
    }

    .fretboard-container .note-display {
        top: 6px;
        font-size: 10px;
        line-height: 10px;
    }
}

/* Theme Examples */

/* Dark */
.fretboard-container.dark-theme .fretboard-body {
    background-color: black;
}

.fretboard-container.dark-theme .string {
    background: white;
}

.fretboard-container.dark-theme .note.clicked {
    background: green;
    border: 1px solid white;
}

.fretboard-container.dark-theme .note {
    border: 1px solid green;
}

.fretboard-container.dark-theme .fret-line {
    background: white;
}

.fretboard-container.dark-theme .note-circle {
    background: white;
}

.fretboard-container .note.small {
    width: 15px;
    height: 15px;
}

.fretboard-container .note.small .note-display {
    top: 4px;
    font-size: 8px;
    line-height: 8px;
}